@mixin font($font_name, $file_name, $weight, $style) {
  @font-face {
    font-family: $font_name;
    font-display: swap;
    src: url("../fonts/#{$file_name}.woff") format("woff"),
      url("../fonts/#{$file_name}.woff2") format("woff2");
    font-weight: #{$weight};
    font-style: #{$style};
  }
}

@import "fonts";
@import "../scss/topmenu";
@import "../scss/header";
@import "../scss/posts";
@import "../scss/footer";

* {
  padding: 0;
  box-sizing: border-box;
  margin: 0;
}

.container {
  max-width: 100%;
  padding: 0 25px;

  @media screen and (min-width: 768px) {
    max-width: 690px;
    margin: 0 auto;
    padding: unset;
  }
  @media screen and (min-width: 1200px) {
    max-width: 1200px;
    margin: 0 auto;
    padding: unset;
  }
}

.resp-img {
  max-width: 100%;
  height: auto;
}
